cht電腦資訊gcingcin分享
adm Find login register

gentoo profile23.0 下的 gcin

guest
1subject: gentoo profile23.0 下的 gcinPromote 0 Bookmark 02024-06-30quote  
guest
2subject: 抱歉,請問文章要如何貼上去Promote 0 Bookmark 02024-06-30quote  
eliu

joined: 2007-08-09
posted: 11471
promoted: 617
bookmarked: 187
新竹, 台灣
3subject: Promote 0 Bookmark 02024-07-01quote  

在 Firefox 似乎有問題,請用 chrome.

guest
4subject: Promote 0 Bookmark 02024-07-06quote  

gentoo 今年升級到 profile23.0後,gcin的使用有很多需要修正的地方。
我參考了d93921012/gentoo-overlay 先生的gcin-2.9.0-r1.ebuild
做了一些更正:

如inherit eutils在EAPI=6已經不再支援;
如chewing? ( dev-libs/libchewing )
改為正確的chewing? ( app-i18n/libchewing );
dev-util/pkgconf修正為dev-util/pkgconf等。

在將客製化ebuild納入個人的repository請參考:
https://wiki.gentoo.org/wiki/Handbook:AMD64/Portage/CustomTree#Creating_a_custom_ebuild_repository

以下是我自建的ebuild路徑與內容:
/var/db/repos/localrepo/app-i18n/gcin/gcin-2.9.0.ebuild

##########################################################################################

# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=6
inherit toolchain-funcs flag-o-matic

DESCRIPTION="Another Traditional Chinese IM."
HOMEPAGE="http://hyperrate.com/dir.php?eid=67"
SRC_URI="http://hyperrate.com/gcin-source/${P/_/.}.tar.xz
chinese-sound? ( http://ftp.twaren.net/local-distfiles/gcin/ogg.tgz )"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="filter-nobopomofo chinese-sound anthy chewing gtk3 qt5"

DEPEND=">=x11-libs/gtk+-2
anthy? ( >=app-i18n/anthy-9100 )
chewing? ( app-i18n/libchewing )
gtk3? ( x11-libs/gtk+:3 )
qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5 )"
# 已經沒有 qt4 了
# qt4? ( dev-qt/qtcore:4 dev-qt/qtgui:4 )
RDEPEND="${DEPEND}
chinese-sound? ( media-sound/vorbis-tools[ogg123] )"
DEPEND="${DEPEND}
dev-util/pkgconf
sys-devel/gettext"

RESTRICT="mirror"
S=${WORKDIR}/${P/_/.}

src_prepare() {
default
echo "${PV}" > ${S}/VERSION.gcin
}

src_configure() {
econf --use_i18n=Y \
--use_tsin=Y \
--use_qt3=N \
--use_qt4=N \
$(! use anthy && echo --use_anthy=N ) \
$(! use chewing && echo --use_chewing=N ) \
$(! use qt5 && echo --use_qt5=N ) \
$(! use gtk3 && echo --use_gtk3=N )
}
src_compile() {
filter-ldflags "-Wl,--as-needed"
emake CC="$(tc-getCC)" || die
}

src_install() {
emake DESTDIR="${D}" install || die

if use filter-nobopomofo ; then
insinto /usr/share/pixmaps/gcin
doins "${FILESDIR}"/nobopomofo/{SS1135_ST,SS1208_DT}.jpg || die
exeinto /usr/share/gcin/script
doexe "${FILESDIR}"/nobopomofo/gcin-filter-nobopomofo || die
doenvd "${FILESDIR}"/nobopomofo/99gcin-filter-nobopomofo || die
fi

if use chinese-sound ; then
insinto /usr/share/${PN}
doins -r "${WORKDIR}"/ogg || die
fi
}

update_gtk_immodules() {
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" --update-cache
fi
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
fi
}

pkg_postinst() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

pkg_postrm() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

##########################################################################################


上面的ebuild經由pkgdev manifest製作並eix-sync後,
可以正確的emerge。

個人使用LXQT2.0,所以有幾個要注意的地方,QT5的程式正常可用
,但與QT6有關聯的就不行。

guest
5subject: Promote 0 Bookmark 02024-07-06quote  

gentoo 今年升級到 profile23.0後,gcin的使用有很多需要修正的地方。
我參考了d93921012/gentoo-overlay 先生的gcin-2.9.0-r1.ebuild
做了一些更正:

如inherit eutils在EAPI=6已經不再支援;
如chewing? ( dev-libs/libchewing )
改為正確的chewing? ( app-i18n/libchewing );
dev-util/pkgconf修正為dev-util/pkgconf等。

在將客製化ebuild納入個人的repository請參考:
https://wiki.gentoo.org/wiki/Handbook:AMD64/Portage/CustomTree#Creating_a_custom_ebuild_repository

以下是我自建的ebuild路徑與內容:
/var/db/repos/localrepo/app-i18n/gcin/gcin-2.9.0.ebuild

##########################################################################################

# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=6
inherit toolchain-funcs flag-o-matic

DESCRIPTION="Another Traditional Chinese IM."
HOMEPAGE="http://hyperrate.com/dir.php?eid=67"
SRC_URI="http://hyperrate.com/gcin-source/${P/_/.}.tar.xz
chinese-sound? ( http://ftp.twaren.net/local-distfiles/gcin/ogg.tgz )"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="filter-nobopomofo chinese-sound anthy chewing gtk3 qt5"

DEPEND=">=x11-libs/gtk+-2
anthy? ( >=app-i18n/anthy-9100 )
chewing? ( app-i18n/libchewing )
gtk3? ( x11-libs/gtk+:3 )
qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5 )"
# 已經沒有 qt4 了
# qt4? ( dev-qt/qtcore:4 dev-qt/qtgui:4 )
RDEPEND="${DEPEND}
chinese-sound? ( media-sound/vorbis-tools[ogg123] )"
DEPEND="${DEPEND}
dev-util/pkgconf
sys-devel/gettext"

RESTRICT="mirror"
S=${WORKDIR}/${P/_/.}

src_prepare() {
default
echo "${PV}" > ${S}/VERSION.gcin
}

src_configure() {
econf --use_i18n=Y \
--use_tsin=Y \
--use_qt3=N \
--use_qt4=N \
$(! use anthy && echo --use_anthy=N ) \
$(! use chewing && echo --use_chewing=N ) \
$(! use qt5 && echo --use_qt5=N ) \
$(! use gtk3 && echo --use_gtk3=N )
}
src_compile() {
filter-ldflags "-Wl,--as-needed"
emake CC="$(tc-getCC)" || die
}

src_install() {
emake DESTDIR="${D}" install || die

if use filter-nobopomofo ; then
insinto /usr/share/pixmaps/gcin
doins "${FILESDIR}"/nobopomofo/{SS1135_ST,SS1208_DT}.jpg || die
exeinto /usr/share/gcin/script
doexe "${FILESDIR}"/nobopomofo/gcin-filter-nobopomofo || die
doenvd "${FILESDIR}"/nobopomofo/99gcin-filter-nobopomofo || die
fi

if use chinese-sound ; then
insinto /usr/share/${PN}
doins -r "${WORKDIR}"/ogg || die
fi
}

update_gtk_immodules() {
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" --update-cache
fi
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
fi
}

pkg_postinst() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

pkg_postrm() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

##########################################################################################


上面的ebuild經由pkgdev manifest製作並eix-sync後,
可以正確的emerge。

個人使用LXQT2.0,所以有幾個要注意的地方,QT5的程式正常可用
,但與QT6有關聯的就不行。

guest
6subject: Promote 0 Bookmark 02024-07-06quote  

gentoo 今年升級到 profile23.0後,gcin的使用有很多需要修正的地方。
我參考了d93921012/gentoo-overlay 先生的gcin-2.9.0-r1.ebuild
做了一些更正:

如inherit eutils在EAPI=6已經不再支援;
如chewing? ( dev-libs/libchewing )
改為正確的chewing? ( app-i18n/libchewing );
dev-util/pkgconf修正為dev-util/pkgconf等。

在將客製化ebuild納入個人的repository請參考:
https://wiki.gentoo.org/wiki/Handbook:AMD64/Portage/CustomTree#Creating_a_custom_ebuild_repository

以下是我自建的ebuild路徑與內容:
/var/db/repos/localrepo/app-i18n/gcin/gcin-2.9.0.ebuild

##########################################################################################

# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=6
inherit toolchain-funcs flag-o-matic

DESCRIPTION="Another Traditional Chinese IM."
HOMEPAGE="http://hyperrate.com/dir.php?eid=67"
SRC_URI="http://hyperrate.com/gcin-source/${P/_/.}.tar.xz
chinese-sound? ( http://ftp.twaren.net/local-distfiles/gcin/ogg.tgz )"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="filter-nobopomofo chinese-sound anthy chewing gtk3 qt5"

DEPEND=">=x11-libs/gtk+-2
anthy? ( >=app-i18n/anthy-9100 )
chewing? ( app-i18n/libchewing )
gtk3? ( x11-libs/gtk+:3 )
qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5 )"
# 已經沒有 qt4 了
# qt4? ( dev-qt/qtcore:4 dev-qt/qtgui:4 )
RDEPEND="${DEPEND}
chinese-sound? ( media-sound/vorbis-tools[ogg123] )"
DEPEND="${DEPEND}
dev-util/pkgconf
sys-devel/gettext"

RESTRICT="mirror"
S=${WORKDIR}/${P/_/.}

src_prepare() {
default
echo "${PV}" > ${S}/VERSION.gcin
}

src_configure() {
econf --use_i18n=Y \
--use_tsin=Y \
--use_qt3=N \
--use_qt4=N \
$(! use anthy && echo --use_anthy=N ) \
$(! use chewing && echo --use_chewing=N ) \
$(! use qt5 && echo --use_qt5=N ) \
$(! use gtk3 && echo --use_gtk3=N )
}
src_compile() {
filter-ldflags "-Wl,--as-needed"
emake CC="$(tc-getCC)" || die
}

src_install() {
emake DESTDIR="${D}" install || die

if use filter-nobopomofo ; then
insinto /usr/share/pixmaps/gcin
doins "${FILESDIR}"/nobopomofo/{SS1135_ST,SS1208_DT}.jpg || die
exeinto /usr/share/gcin/script
doexe "${FILESDIR}"/nobopomofo/gcin-filter-nobopomofo || die
doenvd "${FILESDIR}"/nobopomofo/99gcin-filter-nobopomofo || die
fi

if use chinese-sound ; then
insinto /usr/share/${PN}
doins -r "${WORKDIR}"/ogg || die
fi
}

update_gtk_immodules() {
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" --update-cache
fi
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
fi
}

pkg_postinst() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

pkg_postrm() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

##########################################################################################


上面的ebuild經由pkgdev manifest製作並eix-sync後,
可以正確的emerge。

個人使用LXQT2.0,所以有幾個要注意的地方,QT5的程式正常可用
,但與QT6有關聯的就不行。

guest
7subject: Promote 0 Bookmark 02024-07-06quote  

gentoo 今年升級到 profile23.0後,gcin的使用有很多需要修正的地方。
我參考了d93921012/gentoo-overlay 先生的gcin-2.9.0-r1.ebuild
做了一些更正:

如inherit eutils在EAPI=6已經不再支援;
如chewing? ( dev-libs/libchewing )
改為正確的chewing? ( app-i18n/libchewing );
dev-util/pkgconf修正為dev-util/pkgconf等。

在將客製化ebuild納入個人的repository請參考:
https://wiki.gentoo.org/wiki/Handbook:AMD64/Portage/CustomTree#Creating_a_custom_ebuild_repository

以下是我自建的ebuild路徑與內容:
/var/db/repos/localrepo/app-i18n/gcin/gcin-2.9.0.ebuild

##########################################################################################

# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=6
inherit toolchain-funcs flag-o-matic

DESCRIPTION="Another Traditional Chinese IM."
HOMEPAGE="http://hyperrate.com/dir.php?eid=67"
SRC_URI="http://hyperrate.com/gcin-source/${P/_/.}.tar.xz
chinese-sound? ( http://ftp.twaren.net/local-distfiles/gcin/ogg.tgz )"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="filter-nobopomofo chinese-sound anthy chewing gtk3 qt5"

DEPEND=">=x11-libs/gtk+-2
anthy? ( >=app-i18n/anthy-9100 )
chewing? ( app-i18n/libchewing )
gtk3? ( x11-libs/gtk+:3 )
qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5 )"
# 已經沒有 qt4 了
# qt4? ( dev-qt/qtcore:4 dev-qt/qtgui:4 )
RDEPEND="${DEPEND}
chinese-sound? ( media-sound/vorbis-tools[ogg123] )"
DEPEND="${DEPEND}
dev-util/pkgconf
sys-devel/gettext"

RESTRICT="mirror"
S=${WORKDIR}/${P/_/.}

src_prepare() {
default
echo "${PV}" > ${S}/VERSION.gcin
}

src_configure() {
econf --use_i18n=Y \
--use_tsin=Y \
--use_qt3=N \
--use_qt4=N \
$(! use anthy && echo --use_anthy=N ) \
$(! use chewing && echo --use_chewing=N ) \
$(! use qt5 && echo --use_qt5=N ) \
$(! use gtk3 && echo --use_gtk3=N )
}
src_compile() {
filter-ldflags "-Wl,--as-needed"
emake CC="$(tc-getCC)" || die
}

src_install() {
emake DESTDIR="${D}" install || die

if use filter-nobopomofo ; then
insinto /usr/share/pixmaps/gcin
doins "${FILESDIR}"/nobopomofo/{SS1135_ST,SS1208_DT}.jpg || die
exeinto /usr/share/gcin/script
doexe "${FILESDIR}"/nobopomofo/gcin-filter-nobopomofo || die
doenvd "${FILESDIR}"/nobopomofo/99gcin-filter-nobopomofo || die
fi

if use chinese-sound ; then
insinto /usr/share/${PN}
doins -r "${WORKDIR}"/ogg || die
fi
}

update_gtk_immodules() {
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" --update-cache
fi
if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
fi
}

pkg_postinst() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

pkg_postrm() {
update_gtk_immodules
#gtk_icon_cache_update
gtk-update-icon-cache
}

##########################################################################################


上面的ebuild經由pkgdev manifest製作並eix-sync後,
可以正確的emerge。

個人使用LXQT2.0,所以有幾個要注意的地方,QT5的程式正常可用
,但與QT6有關聯的就不行。

cht電腦資訊gcingcin分享
adm Find login register
views:631